Bug 120228 - FloatTypedArrayAdaptor::toJSValue should almost certainly not use jsNumber() since that attempts int conversions
Summary: FloatTypedArrayAdaptor::toJSValue should almost certainly not use jsNumber() ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Filip Pizlo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-23 13:27 PDT by Filip Pizlo
Modified: 2013-08-25 01:03 PDT (History)
14 users (show)

See Also:


Attachments
work in progress (21.48 KB, patch)
2013-08-23 21:26 PDT, Filip Pizlo
webkit-ews: commit-queue-
Details | Formatted Diff | Diff
the patch (93.75 KB, patch)
2013-08-24 13:25 PDT, Filip Pizlo
oliver: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Pizlo 2013-08-23 13:27:23 PDT
...
Comment 1 Filip Pizlo 2013-08-23 21:25:47 PDT
Well.  This is turning out awesome.  So, my use of JSValue as an in-between for conversions between different types appears to totally confuse C compilers.  They don't have the bitwise algebra knowledge to simplify it.

There is only one solution: template double-dispatch!
Comment 2 Filip Pizlo 2013-08-23 21:26:16 PDT
Created attachment 209532 [details]
work in progress

This ought to be done but I need to write *a lot* more tests.
Comment 3 Early Warning System Bot 2013-08-23 21:37:57 PDT
Comment on attachment 209532 [details]
work in progress

Attachment 209532 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/1558205
Comment 4 Early Warning System Bot 2013-08-23 21:39:35 PDT
Comment on attachment 209532 [details]
work in progress

Attachment 209532 [details] did not pass qt-wk2-ews (qt-wk2):
Output: http://webkit-queues.appspot.com/results/1558206
Comment 5 EFL EWS Bot 2013-08-23 21:47:32 PDT
Comment on attachment 209532 [details]
work in progress

Attachment 209532 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/1543534
Comment 6 kov's GTK+ EWS bot 2013-08-23 21:48:19 PDT
Comment on attachment 209532 [details]
work in progress

Attachment 209532 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/1527790
Comment 7 Build Bot 2013-08-23 21:50:11 PDT
Comment on attachment 209532 [details]
work in progress

Attachment 209532 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/1556432
Comment 8 EFL EWS Bot 2013-08-23 21:58:48 PDT
Comment on attachment 209532 [details]
work in progress

Attachment 209532 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/1527794
Comment 9 Build Bot 2013-08-23 22:05:29 PDT
Comment on attachment 209532 [details]
work in progress

Attachment 209532 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/1544481
Comment 10 kov's GTK+ EWS bot 2013-08-23 22:17:24 PDT
Comment on attachment 209532 [details]
work in progress

Attachment 209532 [details] did not pass gtk-wk2-ews (gtk-wk2):
Output: http://webkit-queues.appspot.com/results/1557360
Comment 11 Filip Pizlo 2013-08-24 13:25:23 PDT
Created attachment 209555 [details]
the patch
Comment 12 Oliver Hunt 2013-08-24 13:32:59 PDT
Comment on attachment 209555 [details]
the patch

mmmm templates
Comment 13 Filip Pizlo 2013-08-24 13:56:28 PDT
(In reply to comment #12)
> (From update of attachment 209555 [details])
> mmmm templates

they are delicious!
Comment 14 Filip Pizlo 2013-08-25 01:03:13 PDT
Landed in http://trac.webkit.org/changeset/154569